<template>
    <a @click="$emit('click')" >
      <span>{{text}}</span>
      <span class="icon-seeAll">&#8250;</span>
    </a>
</template>

<script lang="ts">
import { Component, Prop, Vue } from "vue-property-decorator";
@Component
export default class RoundButton extends Vue {
  @Prop({ default: ">" }) readonly text!: string;
   
  backgroundColor = '#feca38'
  textColor = '#000'


  get colorsRules(){
    return `background-color: ${this.backgroundColor}; color: ${this.textColor};`
  }

  click() {
    this.$emit("click");
  }

  created(){
     const colors = this.$store.getters.colors;
     this.backgroundColor = colors.backgroundColor;
     this.textColor = colors.textColor;
  }
}
</script>

<style lang="scss" scoped>
template{
  position: relative;
}

a{
  font-family: 'Roboto condensed';
  font-size: 1.2em;
  color: #FECA38;
  margin-right: 3vw;
}

span{
  color: #FECA38;

}

.icon-seeAll {
  font-size: 2em;
  margin-left: 1%;
  position: absolute;
  bottom: 0px;

}

</style>